/* Main loop etc */
#include <stdio.h>
#include <stdlib.h>

#include "defines.h"
#include "ui.h"
#include "lidl.h"
#include "world.h"

int main()
{
  /* initial code etc */

  uiInit();
  worldInit();
  beastInit();
  playerInit();
  mapInit();
  uiPrint( "Welcome to lidl v%s", VERSION );
  uiPrint( "Copyright (C) 2003-2005 Patrik Nilsson and Oskar Andersson" );
  uiPrint( "Copyright (C) 2006 Patrik Nilsson and Daniel Nilsson" );
  uiPrint( "" ); 
  gameLoop();
  uiStop();
  exit( EXIT_SUCCESS );
}
