#ifndef __LIDL_H
#define __LIDL_H

extern void beastNear( int id, int wherex, int wherey );
extern void beastOn( int id, int who );
extern void beastDamage( int id, int who, int damage );
extern void beastMove( int id, int wherex, int wherey );
extern void beastInit();

extern int gameOver;
extern void gameLoop();
extern void gameAskQuit();
extern char gameQuit[2];
extern void gamePlayer();
extern char gamePlayerChoice[2];
extern int gamePlayerDone;
extern int gamePlayerMoveOK;
extern char gamePlayerMoveChoice[2];
extern void gameBeasts();

extern int playerHp;
extern int playerMp;
extern int playerScore;
extern int playerMoves;
extern int playerPosition[3];
extern void playerInit();
extern int playerMove( int x, int y, int z );
extern void playerGetPosition( int *buf );
extern int playerFOV;
extern int playerGetFOV( void );
extern int playerStr;
extern int playerCon;
extern int playerDex;
extern int playerApp;
extern int playerSiz;
extern int playerHpMax;
extern int playerMpMax;
extern int playerGetHp( void );
extern int playerGetHpMax( void );
extern int playerGetMoves( void );

extern int mapSeenMap[ MAPXMAX ][ MAPYMAX ];
extern void mapInit( void );
extern void mapUpdate( void );

#endif /* __LIDL_H */
