#ifndef __UI_H
#define __UI_H

extern void uiPrint( char *fmt, ... );
extern void uiInputString( char *buf, size_t bufsize, const char *string );
extern void uiInit( void );
extern void uiStop( void );
extern void uiUpdate( void ); /* NOTE: For internal use, should not be uses externaly */
extern void uiUpdateMap( int buf[][MAPYMAX] );
extern void uiDrawMap( int x, int y, char type );
extern void uiDebugPrint( const char *filename, char *fmt, ... );
extern int uiInputChar( void );
extern void uiInfoBox( char *fmt, ... );
extern void uiUpdateStats( void ); /* NOTE: For internal use, should not be uses externaly */

#endif /* __UI_H */
